Creates a new project status

Request Information

URI Parameters :

None.

Body Parameters :

project_status
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier
name

Name of the project status

string

Required

Max length: 50

is_default

Is default (auto selected when creating new project)

boolean
is_closed

Inform if this status means that the project/installation is archived

boolean

Required

sales_organization_id

FK of sales_organization. Filled if specific of one SO, empty if can be used by all

globally unique identifier
sales_organization_code

Embedded entity "sales_organization" using ERP PK when adding/updating project_status

string
sales_organization

Embedded entity "sales_organization" when adding/updating project_status

sales_organization
code

Field used for Embedded entity (store there your ERP PK)

string

Max length: 255

modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date

Request Formats :

application/json, text/json

Sample:
{
  "id": "6dd05632-dc9b-499e-90c6-5180960cc8f1",
  "name": "sample string 2",
  "is_default": true,
  "is_closed": true,
  "sales_organization_id": "6807f78f-d7ea-443b-b7d4-a7848d89ab75",
  "sales_organization_code": "sample string 6",
  "sales_organization": {
    "id": "bd87ef36-437c-4217-8876-6fc5bdf2efc5",
    "code": "sample string 2",
    "name": "sample string 3",
    "description": "sample string 4",
    "db_country_id": "d7622476-30b2-4f0b-828e-ff2506d1092d",
    "db_currency_id": "2dd65320-c911-4f5b-bf40-002780c3c599",
    "db_language_id": "e43b150f-71ac-45ca-89c4-f0254c8301bc",
    "accountancy_code": "sample string 8",
    "archived": true,
    "default_unit_of_measure_system_type": "sample string 10",
    "street": "sample string 11",
    "street2": "sample string 12",
    "street_number": "sample string 13",
    "zip": "sample string 14",
    "city": "sample string 15",
    "email": "sample string 16",
    "phone": "sample string 17",
    "fax": "sample string 18",
    "url": "sample string 19",
    "vat_reg_code": "sample string 20",
    "modified_dateutc": "2026-09-13T08:15:51.2337199+00:00"
  },
  "code": "sample string 7",
  "modified_dateutc": "2026-09-13T08:15:51.2337199+00:00"
}

Response Information

Resource Description :

IHttpActionResult

None.

Response Formats

application/json, text/json

Sample:

Sample not available.